Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.common.query
Class ResultSetBase

    java.lang.Object
      com.dbxml.db.common.query.ResultSetBase

All Implemented Interfaces:
  ResultSet

Direct Known Subclasses:
  FullTextResultSet

public abstract class ResultSetBase
extends java.lang.Object
implements ResultSet

ResultSetBase

Field Summary

Fields inherited from interface com.dbxml.db.core.query.ResultSet
`RESULT_ANYURI, RESULT_ATTRIBUTE, RESULT_BASE64BINARY, RESULT_BOOLEAN, RESULT_CDATA, RESULT_COMMENT, RESULT_DATE, RESULT_DATETIME, RESULT_DECIMAL, RESULT_DOCUMENT, RESULT_DOUBLE, RESULT_DURATION, RESULT_ELEMENT, RESULT_FLOAT, RESULT_GDAY, RESULT_GMONTH, RESULT_GMONTHDAY, RESULT_GYEAR, RESULT_GYEARMONTH, RESULT_HEXBINARY, RESULT_PROCINST, RESULT_QNAME, RESULT_STRING, RESULT_TEXT, RESULT_TIME`

Constructor Summary
`ResultSetBase(Transaction tx, Collection context, Query query, Key[] keySet)`

Method Summary
`void` | `close()` close releases this ResultSet object's database resources immediately instead of waiting for this to happen when it is automatically closed.
`Collection` | `getCollection()` getCollection returns the top-level Collection context.
`int` | `getCount()` getCount returns the number of records returned or modified by this query.
`Query` | `getQuery()` getQuery returns the Query instance that produced this result set.
`Collection` | `getResultCollection()` getResultCollection returns the Collection context for the current result in the cursor.
`Key` | `getResultKey()` getResultKey return the Key for the current result in the cursor.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.db.core.query.ResultSet
`getResult, getResultType, next`

Constructor Detail

### ResultSetBase

    public ResultSetBase(Transaction tx,
                         Collection context,
                         Query query,
                         Key[] keySet)

Method Detail

### getCollection

    public Collection getCollection()

  Description copied from interface: `ResultSet`
  getCollection returns the top-level Collection context. Note that this may not be the collection that individual results belong to as the query may execute recursively over a Collection tree.

  Specified by:
    `getCollection` in interface `ResultSet`
  Returns:
    The Collection context

### getQuery

    public Query getQuery()

  Description copied from interface: `ResultSet`
  getQuery returns the Query instance that produced this result set.

  Specified by:
    `getQuery` in interface `ResultSet`
  Returns:
    The Query

### getCount

    public int getCount()
                 throws QueryException

  Description copied from interface: `ResultSet`
  getCount returns the number of records returned or modified by this query. If this count is not available, the query will return -1.

  Specified by:
    `getCount` in interface `ResultSet`
  Returns:
    The result/modified count
  Throws:
    `QueryException`

### getResultCollection

    public Collection getResultCollection()
                                   throws QueryException

  Description copied from interface: `ResultSet`
  getResultCollection returns the Collection context for the current result in the cursor.

  Specified by:
    `getResultCollection` in interface `ResultSet`
  Returns:
    The Collection context
  Throws:
    `QueryException`

### getResultKey

    public Key getResultKey()
                     throws QueryException

  Description copied from interface: `ResultSet`
  getResultKey return the Key for the current result in the cursor. Note that the key identifies the entire Document, while the result may only be a fragment, in which case, the key may be duplicated in the result set.

  Specified by:
    `getResultKey` in interface `ResultSet`
  Throws:
    `QueryException`

### close

    public void close()

  Description copied from interface: `ResultSet`
  close releases this ResultSet object's database resources immediately instead of waiting for this to happen when it is automatically closed.

  Specified by:
    `close` in interface `ResultSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group